require 'test_helper'

describe MassHighways::EventFeed do
  describe '.retrieve' do
    let(:feed) { MassHighways::EventFeed.retrieve }
    let(:event) { feed.find { |f| f.event_id == 37626} }
    before do
      VCR.use_cassette 'event_feed' do
        feed
      end
    end

    it 'retrieves an array of evets' do
      event.wont_be_nil
    end

    it 'converts event_id to Fixnum' do
      event.event_id.must_be_instance_of Fixnum
    end

    it 'converts event_created_date to DateTime' do
      event.event_created_date.must_be_instance_of DateTime
    end

    it 'converts event_start_date to DateTime' do
      event.event_start_date.must_be_instance_of DateTime
    end

    it 'converts last_update to DateTime' do
      event.last_update.must_be_instance_of DateTime
    end

    it 'converts the primary_latitude to Float' do
      event.primary_latitude.must_be_instance_of Float
    end

    it 'converts the primary_latitude to Float' do
      event.primary_longitude.must_be_instance_of Float
    end
  end
end
