require 'test_helper'

describe MassHighways::TravelFeed do
  describe '.retrieve' do
    let(:feed) { MassHighways::TravelFeed.retrieve }
    let(:i93_south) { feed.find { |f| f.title == 'I-93 SB ramps to Rte. 3 TO Rte. 3 SB after Rte. 18 SB Ramps' } }
    before do
      VCR.use_cassette 'travel_feed' do
        feed
      end
    end

    it 'retrieves an array of pairs' do
      i93_south.wont_be_nil
    end

    it 'converts speed to Float' do
      i93_south.speed.must_be_instance_of Float
    end

    it 'converts pair_id to Fixnum' do
      i93_south.pair_id.must_be_instance_of Fixnum
    end

    it 'converts travel_time to Float' do
      i93_south.travel_time.must_be_instance_of Float
    end

    it 'converts freeflow to Float' do
      i93_south.freeflow.must_be_instance_of Float
    end

    it 'converts route into an array of hashes' do
      route_coordinate = i93_south.route.first
      route_coordinate.must_be_instance_of Hash
      route_coordinate.keys.must_include :lat
      route_coordinate.keys.must_include :lon
    end
  end
end
